POST
/api/v1/integrations/contactContent_SubmitContactInquiry
- Authentication
- public
- Cache policy
- none
- Success and errors
- 201, 400, 500
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Content_SubmitContactInquiry",
"summary": "POST /api/v1/integrations/contact",
"tags": [
"Content"
],
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"email": {
"type": "string",
"maxLength": 255,
"format": "email",
"pattern": "^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"message": {
"type": "string",
"minLength": 1,
"maxLength": 5000
}
},
"required": [
"name",
"email",
"message"
],
"additionalProperties": false
}
}
}
},
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"201": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"submitted": {
"type": "boolean",
"const": true
}
},
"required": [
"submitted"
],
"additionalProperties": false
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"required": [
"data",
"meta"
],
"additionalProperties": false
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "none",
"x-required-scopes": [
"public:read"
],
"x-rate-cost": 1,
"x-stability": "STABLE"
}